## kate 4.14.1

=== debian/changelog ===
kate (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Add missing file to katepart. 
  * wrap-and-sort

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 16:32:18 +0200

kate (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 12:35:44 +0200

kate (4:4.13.97-0ubuntu2) utopic; urgency=medium

  * Bump breaks/replaces for Kubuntu versions

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 08 Aug 2014 17:52:37 +0200

kate (4:4.13.97-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release RC

  [ Jonathan Riddell ]
  * Update kate-data install file
  * Add hacky second build for pate build failure

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 16:18:22 +0200

kate (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 17:30:23 +0200

kate (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release
  * Remove version from libkactivities-dev depend as it has not had
    a new release.
  * Commented out install file that is missing in i386, needs research.

  [ Jonathan Riddell ]
  * Add pate files back to kate-data.install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 17:38:34 +0200

kate (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 11:44:15 +0100

kate (4:4.13.1-2ubuntu2) utopic; urgency=medium

  * Fix install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 15:50:23 +0200

kate (4:4.13.1-2ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    - Add appropriate Breaks/Replaces

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 05 Jun 2014 13:22:43 +0200

kate (4:4.13.1-2) unstable; urgency=medium

  * Team upload.
  * Disable pate, since it introduces a build-dependency loop (see also
    https://bugs.debian.org/729215#10).
  * Do not really install (even if renamed) the go.xml syntax file, since
    it is already provided by kate-syntax-go (see #628161).
  * Remove the files we must not install for real, so this should help not
    installing them accidentally again.
  * Disable the build of tests, since they are not (and cannot be) run;
    patch debian-disable-tests.diff.

 -- Pino Toscano <pino@debian.org>  Sat, 31 May 2014 16:26:09 +0200

kate (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Add pate plugin, sync with kubuntu package.
  * Update install files.
  * New patch: sideeffects_in_asserts_are_evil.patch
  * Add lintian-override to for the js_lint.py file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 May 2014 14:13:35 +0200

kate (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:23:45 +0200

kate (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:24 +0100

kate (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump kde4libs b-d version.
  * Update install files.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:28 +0100

kate (4:4.11.5-1) unstable; urgency=low

  * New upstream release.

  [ Sune Vuorela ]
  * Update package descriptions. (Closes: #731894)

  [ Maximiliano Curia ]
  * Build the auto tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 26 Jan 2014 12:25:42 +0100

kate (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Do not install (again) the go.xml and nesc.xml highlighting files, as they
    are already provided by other packages. (Closes: #726756)

 -- Pino Toscano <pino@debian.org>  Sat, 30 Nov 2013 15:13:26 +0100

kate (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 14:07:22 +0100

kate (4:4.11.2-2) experimental; urgency=low

  * Bump kdelibs5-dev build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:02:41 +0200

kate (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

  [ Maximiliano Curia ]
  * Update install files.

  [ Pino Toscano ]
  * Fix section of libkatepartinterfaces4 to be "libs".

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 Oct 2013 13:20:22 +0200

kate (4:4.10.5-2) unstable; urgency=low

  * Team upload.
  * Drop the nesc.xml kate syntax highlighting, as nescc provides it already.
    (Closes: #716942)
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Jul 2013 10:12:45 +0200

kate (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 11 Jul 2013 23:05:44 +0200

kate (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 09:31:57 +0200
