=== debian/changelog ===
kate (4:4.14.2-2) unstable; urgency=medium

  * Move data files to data package. (Closes: #766143)

 -- Maximiliano Curia <maxy@debian.org>  Tue, 21 Oct 2014 13:52:57 +0200

kate (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:12:57 +0200

kate (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:22 +0200

kate (4:4.14.0-1) unstable; urgency=medium

  * Build with tests disabled.
  * New patch: do_not_enforce_tests
  * New upstream release.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 00:05:54 +0200

kate (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Remove patch: debian-disable-tests.diff, test are run with
    autopkgtest.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Aug 2014 09:12:12 +0200
