## kate 14.12.3

=== debian/changelog ===
kate (4:14.12.3-0ubuntu2.1) vivid; urgency=medium

  * Fix "KDEInit could not launch Kate" error when opening second file with Kate
    in Dolphin. (LP: #1449029)
    - Add upstream_Register_with_dbus_to_wake_up_KRun.patch

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 27 May 2015 23:44:57 +0200

kate (4:14.12.3-0ubuntu2) vivid; urgency=medium

  * Add upstream_find-IconThemes.diff to fix compile

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Apr 2015 16:16:22 +0200

kate (4:14.12.3-0ubuntu1) vivid; urgency=medium

  [ Scarlett Clark ]
  * New upstream release

  [ Jonathan Riddell ]
  * Don't install applet file, broken in 14.12

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2015 13:18:13 -0700

kate (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 07:12:54 -0800

kate (4:14.12.0-0ubuntu3) vivid; urgency=medium

  * add missing epoch to breaks/replaces

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 18:22:56 +0100

kate (4:14.12.0-0ubuntu2) vivid; urgency=medium

  * Update testsuite.xsession to use kdeinit5

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Dec 2014 12:20:37 +0100

kate (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 15:38:19 +0100

kate (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Update build-deps and use pkg-kde v3 for Qt 5 build
  * kate-data now kate5-data for co-installability

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Dec 2014 16:49:41 +0100

kate (4:4.14.3-0ubuntu3) vivid; urgency=medium

  * Fix autopkgtest run by making sure DEB_HOST_MULTIARCH is defined in the
    testsuite

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 27 Nov 2014 21:12:08 +0100

kate (4:4.14.3-0ubuntu2) vivid; urgency=medium

  * kate-data breaks/replaces katepart << 4:4.14.3-0ubuntu2~ (LP: #1395466)
  * Remove files from kate that conflict with kate-data
  * kate-data breaks/replaces kate << 4:4.14.3-0ubuntu2~

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 25 Nov 2014 19:42:45 +0100

kate (4:4.14.3-0ubuntu1) vivid; urgency=medium

  * Merge with debian unstable, remaining changes:
    - add appropriate breaks/replaces
    - build pate:
      + build-depend on python
      + point dh_auto_configure to the correct libpython location
  * Update Vcs urls for the new repository location.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update the maintainer
  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 22 Nov 2014 21:07:44 +0100

kate (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 04:04:06 -0700
